## org.jgroups.blocks.executor
Class ExecutionRunner

    java.lang.Object
      org.jgroups.blocks.executor.ExecutionRunner

All Implemented Interfaces:
  java.lang.Runnable

    public class ExecutionRunner

extends java.lang.Object
implements java.lang.Runnable

This class is to be used to pick up execution requests and actually run them. A single instance can be used across any number of threads.

Author:
  wburns

Field Summary
`protected Executing` `_execProt`
`protected static Log` `_logger`
`protected JChannel` `ch`

Constructor Summary
`ExecutionRunner(JChannel channel)`

Method Summary
`void` `run()`
`void` `setChannel(JChannel ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ch

    protected JChannel ch

### _execProt

    protected Executing _execProt

### _logger

    protected static final Log _logger

Constructor Detail

### ExecutionRunner

    public ExecutionRunner(JChannel channel)

Method Detail

### setChannel

    public void setChannel(JChannel ch)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.